#!/bin/bash

# 変数初期化
t=0      # 合計値
ret=0    # 終了値

if [ $# -eq 1 ]; then           # 引数の確認
  if [ -f $1 ]; then            # ファイルの有無チェック
    for i in `cat $1`           # 指定ファイルを読み込みループ
    do
      t=`echo "$t + $i" | bc`   # bcコマンドによる足し算
    done
    echo $t                     # 結果を出力
  else
    echo "$1 file not found."   # ファイルなしメッセージ出力
    ret=1
  fi
else                            # 引数過不足エラーでUsageを出力
  this=`basename $0`
  echo "Usage: $this file"
  ret=1
fi
exit $ret                       # 終了値を返却
